{"title":"Get entity defaultDimensions (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets an item default dimensions in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get entity defaultDimensions (v1.0)","slug":"get-entity-defaultdimensions-v10","at":0,"chars":2196},{"level":2,"title":"HTTP request","slug":"http-request","at":100,"chars":565},{"level":2,"title":"Request header","slug":"request-header","at":665,"chars":71},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":736,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":805,"chars":128},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":933,"chars":997},{"level":2,"title":"Related information","slug":"related-information","at":1930,"chars":266}],"text":"# Get entity defaultDimensions (v1.0)\nGets the default dimensions of an entity in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\nThe following example gets the default dimensions of an entity.\n```\nGET businesscentralPrefix/companies({companyId})/items({itemId})/defaultDimensions\nGET businesscentralPrefix/companies({companyId})/customers({customerId})/defaultDimensions\nGET businesscentralPrefix/companies({companyId})/vendors({vendorId})/defaultDimensions\nGET businesscentralPrefix/companies({companyId})/employees({emplyeeId})/defaultDimensions\n```\n## Request header\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a `200 OK` response code and the default dimensions in the response body.\n## Example (v1.0)\nRequest\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({companyId})/items({itemId})/defaultDimensions\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"@odata.context\":\"https://api.businesscentral.dynamics.com/v1.0/api/v1.0/$metadata#companies(5106c77d-af37-4e2d-bb88-45d87aba1033)/items(b3fbe87a-61b8-4a6c-85de-0555f1627a67)/defaultDimensions\",\n    \"value\":\n    [\n        {\n            \"@odata.etag\":\"W/\\\"JzQ0OzNPaHFuS0ZQdk5oc3ZkSW9KdzVkdXk2LytjcmNqeHJJOU05SjZ1aFBYVjQ9MTswMDsn\\\"\",\n            \"parentId\":\"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\"dimensionId\":\"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n            \"dimensionCode\":\"DEPARTMENT\",\n            \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n            \"dimensionValueCode\":\"PROD\",\n            \"postingValidation\":\"Some Code\"\n        }\n    ]\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\ndefaultDimension resource<../resources/dynamics_defaultdimension>\ndynamics_defaultdimensions_create\ndynamics_defaultdimensions_update\ndynamics_defaultdimensions_delete"}